[PC-BSD Commits] r1056 - pbibuild/modules/openarena/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Fri Dec 21 17:44:33 PST 2007


Author: gonzalo
Date: 2007-12-21 17:44:33 -0800 (Fri, 21 Dec 2007)
New Revision: 1056

Modified:
   pbibuild/modules/openarena/overlay-dir/PBI.FirstRun.sh
Log:
Open Arena added

Modified: pbibuild/modules/openarena/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/openarena/overlay-dir/PBI.FirstRun.sh	2007-12-22 01:43:35 UTC (rev 1055)
+++ pbibuild/modules/openarena/overlay-dir/PBI.FirstRun.sh	2007-12-22 01:44:33 UTC (rev 1056)
@@ -46,3 +46,12 @@
       return 2
     fi
 fi 
+#3D APPLICATION: 3D ACC IS NEEDED
+
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D
+support enabled. This application requires 3D acceleration to function
+properly."
+fi
\ No newline at end of file



More information about the Commits mailing list